:root {
    /* colors */
    --Orange: #FF6B35;
    --Dark-blue: #0C2744;
    --Blue: #004E89;
    --Green: #00916E;
    --White: #ffffff;
    --Black: #000000;

    /* spacing */
    --space-10: .625rem;
    --space-20: 1.25rem;
    --space-50: 3.125rem;
    --space-100: 6.25rem;

    /* font weights */
    --font-weight-semibold: 600;
    --font-weight-bold: 700;
    --font-weight-extrabold: 800;
    --font-weight-black: 900;

    /* font sizes */
    /* 16px */
    --font-size-16: 1rem;
    /* 32px */
    --font-size-20: 1.25rem;
    /* 32px */
    --font-size-32: 2rem;
    /* 48px */
    --font-size-48: 3rem;
    /* 70px */
    --font-size-70: 4.375rem;
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

/* Basic default styling  */

html{
    scroll-behavior: smooth;
}

body {
    font-family: "Nunito", sans-serif;
    font-size: var(--font-size-32);
    font-weight: var(--font-weight-semibold);
    min-width: 94.5625rem;
    margin: auto;
    line-height: 1.3;
    color: var(--Blue);
}

svg,
img {
    max-width: 100%;
    height: auto;
    display: block;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Lexend", sans-serif;
}

h1 {
    font-size: var(--font-size-70);
    font-family: "Lexend";
    font-weight: var(--font-weight-bold);
    color: var(--Dark-blue);
}

h2 {
    font-size: var(--font-size-70);
    font-family: "Lexend";
    font-weight: var(--font-weight-bold);
}

h3 {
    font-family: "Lexend";
    font-size: var(--font-size-48);
    font-weight: var(--font-weight-bold);
}

input,
button {
    font-family: "Lexend", sans-serif;
    font-size: var(--font-size-32);
    font-weight: var(--font-weight-bold);
    line-height: 1;
    border: none;
    border-radius: .75rem;
    color: var(--Orange);
    padding: var(--space-20);
    margin: 0;
    display: inline-block;
    background-color: var(--Blue);
    text-transform: uppercase;
    transition: all 200ms;
}

button:hover {
    background-color: var(--Orange);
    color: var(--Blue);
    scale: 1.2;
}

::placeholder {
    color: var(--Black);
    opacity: 0.5;
}

.container {
    width: 94.5625rem;
    min-width: 94.5624rem;
    margin: 0 auto;
}

.small-container {
    width: 80rem;
    min-width: 80rem;
    margin: 0 auto;
}

.visually-hidden {
    position: absolute;
    width: .0625rem;
    height: .0625rem;
    padding: 0;
    margin: -0.0625rem;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

.text-emphasis {
    font-weight: var(--font-weight-extrabold);
}

/* ----------header------- */

.header {
    background-image: url(../assets/orangeOilTop.svg);
    background-repeat: no-repeat;
    background-position: bottom center;
    margin-bottom: -0.3125rem;
}

.header__inner {
    background-color: var(--Green);
    border-radius: 0 0 var(--space-20) var(--space-20);
}

.header__nav {
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    padding: 1rem 4rem;
    margin-bottom: 3rem;
}

.header__list {
    display: flex;
    flex: 1;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    gap: 1.25rem;
}

.header__link {
    color: var(--White);
    text-decoration: none;
    font-family: "Lexend", sans-serif;
    font-size: var(--font-size-32);
    font-weight: var(--font-weight-semibold);
    transition: all ease-in-out 0.2s;
}

.header__link:hover {
    color: var(--Dark-blue);
}

/* -----hero section------- */

.hero__inner {
    display: grid;
    grid-template-columns: 1fr 1fr;
    position: relative;
}

.hero__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3.125rem;
}

.hero__text {
    display: flex;
    flex-direction: column;
    color: var(--Dark-blue);
    gap: var(--space-20);
    align-self: flex-start;
    margin-bottom: var(--space-100);
}

.hero__cta {
    align-self: self-start;
}

.hero__image {
    display: flex;
    align-items: center;
    position: relative;
    right: -3.125rem;
}

.hero__decoration-stop {
    transform: rotate(-15deg);
    position: absolute;
    z-index: -1;
    left: 25rem;
    top: 28.125rem;
    animation: stop 6s ease-in-out infinite alternate-reverse;
}

@keyframes stop {
    0% {
        transform: rotate(0);
    }

    50% {
        transform: rotate(-40deg);
    }

    100% {
        transform: rotate(15deg);
    }
}

/* --------section one-------- */

.tips-section--primary {
    background-color: var(--Orange);
}

.tips-section__header {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--space-20);
    padding-top: 4.6875rem;
    padding-bottom: 3.125rem;
    color: var(--Dark-blue);
}

.tips-section__subtitle {
    text-align: center;
    font-size: var(--font-size-48);
    max-width: 43.75rem;
    line-height: 120%;
}

.tip__title {
    color: var(--Blue);
}

.tip__details,
.challenge__details {
    display: flex;
    flex-direction: row;
    font-family: "Karla";
    font-weight: var(--font-weight-extrabold);
    justify-content: space-between;
    color: var(--Orange);
}

.tip__time, .challenge__time, .tip__difficulty, .challenge__difficulty {
    background-color: #22426F;
    width: fit-content;
    height: fit-content;
    border-radius: var(--space-20);
    padding: var(--space-10) var(--space-20);
    text-align: center;
}

.tip__time::before {
    content: "⏱️";
    padding-right: var(--space-20);
}

/* ------first tip----- */

.tip {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-areas: "left right";
    margin-bottom: 9.375rem;
}

.tip__content {
    display: flex;
    flex-direction: column;
    gap: 1.5625rem;
    max-width: 41.25rem;
    text-align: start;
    color: var(--Dark-blue);
}

.tip__difficulty--one::after {
    content: url(../assets/gradeTwo.svg);
}

.tip__number:hover {
    animation: wiggle 0.5s ease-in-out infinite;
    animation-fill-mode: both;
}

@keyframes wiggle {
    0% {
        transform: translateX(0) rotate(0deg);
    }

    25% {
        transform: translateX(10px) translateY(10px) rotate(-5deg);
    }

    50% {
        transform: translateX(3px) rotate(5deg);
    }

    75% {
        transform: translateX(-1px) rotate(-5deg);
    }

    100% {
        transform: translateX(1px) rotate(5deg);
    }
}

.tip__number--one {
    transform: rotate(-15deg);
    position: relative;
    top: -0.625rem;
    left: -1.25rem;
}

.tip__image--right {
    justify-self: end;
    align-self: center;
}

/* ------second tip----- */

.tip--two {
    margin-bottom: 0rem;
}

.tip__content--two {
    margin-bottom: var(--space-100);
}

.tip__number--two {
    transform: rotate(15deg);
    position: relative;
    top: 3.75rem;
    right: -6.25rem;
}

.tip__content--right {
    grid-area: right;
    justify-self: right;
    text-align: end;
    width: 43.75rem;
}

.tip__difficulty--two::after {
    content: url(../assets/gradeThree.svg);
}

.tip__image--left {
    justify-self: start;
    align-self: center;
}

/* ---------challenge------- */

.challenge {
    background-image: url(../assets/orangeOilBottom.svg), url(../assets/blueOilTop.svg);
    background-repeat: no-repeat;
    background-position: top center, bottom center;
    margin-top: -0.1875rem;
    margin-bottom: -0.1875rem;
    position: relative;
}

.challenge__inner {
    position: relative;
}

.challenge__decoration--triangle {
    transform: rotate(-15deg);
    position: absolute;
    z-index: -1;
    left: 15rem;
    top: 8rem;
}

.challenge__content {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    padding-bottom: 46.875rem;
}

.challenge__image {
    position: relative;
    top: 34.375rem;
    transform: rotate(-20deg);
}

.challenge__text {
    position: relative;
    display: flex;
    grid-area: right;
    flex-direction: column;
    gap: 1rem;
    max-width: 43.75rem;
    text-align: start;
    color: var(--Dark-blue);
    text-align: end;
    top: 13.75rem;
}

.challenge__title {
    color: var(--Orange);
    padding-bottom: 1rem;
}

.challenge__details--specific {
    color: var(--White)
}

.challenge__difficulty--challenge::after {
    content: url(../assets/gradeFour.svg);
}

.challenge__decoration--cone {
    position: absolute;
    left: 40.625rem;
    bottom: 15.625rem;
    z-index: -1;
    transform: rotate(-10deg);
}

/* ---------sectin two------- */

.tips-section--secondary {
    background-color: var(--Dark-blue);
}

.tips-section--secondary .tip__title {
    color: var(--Green);
}

.tips-section__content--second .tip__text {
    color: var(--Orange);
}

.tip__details--second {
    color: var(--Green);
}

/* --------------three tip --------- */

.tip__content--three {
    width: 40.625rem;
}

.tip__number--three {
    transform: rotate(-15deg);
    position: relative;
    top: -1.25rem;
    left: -1.25rem;
    padding-bottom: var(--space-20);
}

.tip__difficulty--three::after {
    content: url(../assets/gradeTwo.svg);
}

/* -----------four tip------- */

.tip__number--four {
    transform: rotate(15deg);
    position: relative;
    top: var(--space-20);
    right: -12.5rem;
}

.tip__difficulty--four::after {
    content: url(../assets/gradeFive.svg);
}

/* -------------five tip-------- */

.tip--five {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--space-50);
    margin-bottom: -0.125rem;
    position: relative;
}

.tip__content--center {
    display: flex;
    flex-direction: row;
    max-width: 80rem;
    gap: 5.625rem;
    text-align: center;
}

.tip__number--five {
    transform: rotate(-15deg);
}

.tip__content--five {
    display: flex;
    flex-direction: column;
    gap: 1.5625rem;
}

.tip__text--five {
    max-width: 37.5rem;
}

.tip__details--five {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.tip__difficulty--five::after {
    content: url(../assets/gradeOne.svg);
}

.tip__image--center {
    justify-self: center;
    align-self: center;
}

/* -------------------------benefits------------------------ */

.benefits {
    background-image: url(../assets/blueOilBottom.svg);
    background-repeat: no-repeat;
    background-position: top center;
    margin-top: -0.125rem;
}

.benefits__header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-top: 15.625rem;
    padding-bottom: 9.375rem;
}

.benefits__decoration {
    animation: swing 4s ease infinite alternate;
}

@keyframes swing {
    from {
        transform: rotate(-20deg);
    }

    to {
        transform: rotate(20deg);
    }
}

.benefits__decoration--triangle {
    position: relative;
    transform: rotate(-15deg);
    left: -1.875rem;
    top: var(--space-50);
}

.benefits__title {
    justify-self: center;
    width: 43.75rem;
    color: var(--Blue);
}

.benefits__decoration--cone {
    position: relative;
    transform: rotate(15deg);
    right: -1.875rem;
    top: var(--space-50);
}

.benefits__content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.benefit-card {
    display: flex;
    flex-direction: column;
    width: 25rem;
    gap: var(--space-20);
}

.benefit-card--left {
    padding-top: 12.5rem;
    text-align: start;
}

.benefit-card--center {
    text-align: center;
    width: 31.25rem;
}

.benefit-card--right {
    padding-top: 12.5rem;
    text-align: end;
}

.benefit-card__title {
    color: var(--Green);
}

.benefits__image {
    justify-self: center;
    margin: 0 auto;
}

/* -------footer------ */

.footer {
    background-color: var(--Green);
    border-radius: var(--space-20) var(--space-20) 0 0;
    font-size: var(--font-size-16);
    color: var(--White);
}

.footer__content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: var(--space-20);
}

.footer__list {
    display: flex;
    flex-direction: column;
    gap: .9375rem;
}

.footer__link,
.footer__terms-link {
    text-decoration: none;
    color: var(--White);
}

.footer__subscribe {
    display: flex;
    flex-direction: column;
    text-align: start;
    gap: var(--space-20);
    font-size: var(--font-size-20);
}

.footer__form {
    display: flex;
    flex-direction: row;
    align-content: center;
    height: var(--space-50);
}

.footer__input {
    background-color: var(--White);
    height: var(--space-50);
    width: 25rem;
    font-size: var(--font-size-20);
    border-radius: var(--space-20) 0 0 var(--space-20);
}

.footer__button {
    height: var(--space-50);
    font-size: var(--font-size-20);
    padding: 0 2rem;
    border-radius: 0 var(--space-20) var(--space-20) 0;
}

.footer__terms {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: var(--space-20) 0;
    border-top: .0625rem solid white;
}